#!/usr/bin/env bash

# 2018-04 MFaure
# from https://stackoverflow.com/questions/600079/how-do-i-clone-a-subdirectory-only-of-a-git-repository

rurl="$1" localdir="$2" && shift 2
DEFAULT_BRANCH="develop"
MY_GIT="/usr/bin/git"

mkdir -p "$localdir"
cd "$localdir"

${MY_GIT} init
${MY_GIT} remote add -f origin "$rurl"

${MY_GIT} config core.sparseCheckout true

# Loops over remaining args
for i; do
    echo "$i" >> .git/info/sparse-checkout
done

${MY_GIT} pull --depth=1 origin "$DEFAULT_BRANCH"
