# Facts & numbers about Comptoir du Libre

## Screenshots per software

```postgresplsql
select soft.softwarename, sc.id
from screenshots as sc
inner join softwares as soft
on (soft.id=sc.software_id)
order by soft.softwarename;
```
## Number of service providers

```postgresplsql
select id, software_id, user_id from relationships_softwares_users WHERE relationship_id=4;
```

```postgresplsql
select rsu.id, s.softwarename, u.username
FROM relationships_softwares_users as rsu
INNER JOIN users as u ON (u.id=rsu.user_id)
INNER JOIN softwares as s ON (s.id=rsu.software_id)
WHERE relationship_id=4;
```

## List of declared users

```postgresplsql
select rsu.id, u.username, s.softwarename
from relationships_softwares_users as rsu
INNER JOIN users as u ON (u.id=rsu.user_id)
INNER JOIN softwares as s ON (s.id=rsu.software_id)
WHERE relationship_id=7
ORDER BY u.username;
```

## Software with more users

## Software with more Service Providers

## User using the more Software

