<?php

$this->layout("base");

$myTotalUsers = !empty($users) ? count($users) : '0';
$this->assign('title', __d("Users", "Users list for Comptoir du libre ({0})", $myTotalUsers));

?>

<?php if (!empty($users)): ?>


    <section>

        <?php

        echo $this->Lists->block($users,
            [
                "type" => "user",
                "title" => "<h1>" . __d("Users", "Users list for Comptoir du libre ({0})", $myTotalUsers) . "</h1>",
                "linkParticipate" => isset($linkParticipate["linkParticipate"]) ? $linkParticipate["linkParticipate"] : null,
                "titleAddMore" => "" ,
            ],
            false
        ); ?>
    </section>

<?php endif; ?>
