<?php

namespace App\Test\Acceptance;

use App\TestSuite\Codeception\AcceptanceTester;

class BasicTestsCest
{
    // @codingStandardsIgnoreStart
    public function _before(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
    }

    // @codingStandardsIgnoreStart
    public function _after(AcceptanceTester $I)// @codingStandardsIgnoreEnd
    {
    }


    /**
     * Check if we are on the Homepage
     *
     * @param $I
     */
    public function seeContactOnHomepage($I)
    {
        $I->amOnPage('/');
        $I->seeInTitle('Comptoir du libre');
        $I->see('Contact');
    }

    public function clickOnLegalLinkFromHomepage($I)
    {
        $I->amOnPage('/');
        $I->seeInTitle('Comptoir du libre');
        $I->see('Mentions légales');
        $I->click('Mentions légales');
        $I->amOnPage('/pages/legal');
        $I->seeInTitle('Mentions légales');
    }

    public function clickOnLegalAccessibilityFromHomepage($I)
    {
        $I->amOnPage('/');
        $I->seeInTitle('Comptoir du libre');
        $I->see('Accessibilité');
        $I->click('Accessibilité');
        $I->amOnPage('/pages/accessibility');
        $I->seeInTitle('Accessibilité');
    }

    public function clickOnContactLinkFromHomepage($I)
    {
        $I->amOnPage('/');
        $I->seeInTitle('Comptoir du libre');
        $I->see('Contact');
        $I->click('Contact');
        $I->amOnPage('/pages/contact');
        $I->seeInTitle('Information pour nous contacter');
    }

    //Todo check pages softwares, users and services providers

}
