# Changelog

Tous les changements notables de ce projet sont documentés dans ce fichier.

Le format s'appuie sur [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
et le projet suit [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## Unreleased yet

### Added
### Changed
### Deprecated
### Removed
### Fixed
### Security

## [2.4.9](https://gitlab.adullact.net/Comptoir/Comptoir-srv/tags/v2.4.9) - 2018-08-16

### Fixed

* [#573](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/573) Correction du lien erroné dans le courriel de mot de passe perdu
* [#572](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/572) Mise à jour des paramètres STMP par défaut

## [2.4.8](https://gitlab.adullact.net/Comptoir/Comptoir-srv/tags/v2.4.8) - 2018-08-14

### Fixed

* [#542](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/542) Correction de l'affichage de tous les logiciels d'un tag

## [2.4.8-rc.2](https://gitlab.adullact.net/Comptoir/Comptoir-srv/tags/v2.4.8-rc.2) - 2018-08-14

### Added

* [#547](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/547) (Développeurs) Amélioration de la doc d'install sur Ubuntu 16.04
* [#562](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/562) (Développeurs) Création d'une image Docker utilisant le code source local (plus besoin de faire un git clone)
* [#563](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/563) (Développeurs) Ajout de la dernière version de DebugKit dans l'image Docker "locale"
* [#564](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/564) (Développeurs) Mise à jour de l'image Docker Comptoir base en v1.0.0-rc.2

### Fixed

* [#559](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/559) Page d'accueil : Corrigé le lien vers les derniers logiciels ajoutés
* [#557](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/557) Rétabli la mise en page du bouton "mot de passe perdu" (mauvaise grammaire HTML)
* [#560](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/560) Supprimé bouton en double ("liste de tags")

### Security

* [#467](https://gitlab.adullact.net/Comptoir/Comptoir-srv/issues/467) Correction XSS sur les formulaires

## [2.4.8-rc.1](https://gitlab.adullact.net/Comptoir/Comptoir-srv/tags/v2.4.8-rc.1) - 2018-08-07

### Added

* Nouveau système de gestion d'étiquettes (tags) pour les logiciels

### Changed

* Les prestataires sont maintenant séparés des utilisateurs et disposent d'une entrée propre dans la barre de navigation.

* Correction de bugs d'internationalisation (tout est censé être traduit de l'anglais vers le français)

## 2.4.7 - 2018-03-30

## 2.4.6 - 2018-03-02

## 2.4.5 - 2018-02-02

## 2.4.4 - 2018-01-05

## 2.4.3 - 2017-12-22

## 2.4.2 - 2017-11-24

## 2.4.1 - 2017-08-18

## 2.4.0 - 2017-08-04

## [2.3.2](https://gitlab.adullact.net/Comptoir/Comptoir-srv/tags/v2.3.2) - 2017-07-21


