# Comptoir-du-libre with Docker

## Pre-requisites

1. [Install docker](https://docs.docker.com/engine/installation/linux/ubuntu/#install-using-the-repository)
2. Clone the [`Comptoir-srv` repository](https://gitlab.adullact.net/Comptoir/Comptoir-srv.git) in your project directory

## Usage

1. Get into the `Docker` directory of the project you just cloned
1. You can specify the branch you want to test, default develop ,by editing `my-branch` in the ./Docker/compose-Comptoir-Dev.yml
1. Run `docker-compose -f ./compose-Comptoir-Dev.yml build`
1. Run `docker-compose -f ./compose-Comptoir-Dev.yml up -d`
1. Check if `docker_postgres_comptoir` and `docker_comptoir` are running with `docker ps`
1. Now go to [http://localhost:8080](http://localhost:8080)

Enjoy ! :)

## Rebuild the image

When you have pushed code, you may want to see the result in a Docker environment. To do so, you first need to delete the existing containers and images, and then recreate them.

```
for i in docker_comptoir_dev_1 docker_postgres_comptoir_dev_1; do docker stop $i ; docker rm $i ; done
docker rmi docker_comptoir_dev:latest
```

## Coming soon

* ADD files like :
    * Screenshots
    * Avatar
    * Logos
